Get order
GET
One order with its captured items.
Access: workspace_viewer · API key orders:read
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringSuccess
application/json- response
id*stringFormat
uuidworkspaceId*stringFormat
uuidsessionId*stringFormat
uuidagentId*stringFormat
uuidagentName*stringagentVersion*numberisDraft*booleancatalogId*stringFormat
uuidcatalogName*stringstatus*stringValue in
"draft""completed""abandoned"createdAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecompletedAt*|Format
date-timeitems*array<>transcript*array<>|nulleventCount*numberNumber of session events, for gating the admin-only events view.
curl -X GET 'https://api.poc.app.waylovoice.ai/orders/string' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459", "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "agentName": "string", "agentVersion": 0, "isDraft": true, "catalogId": "8c4666aa-d43d-4196-b78a-f94040b1db76", "catalogName": "string", "status": "draft", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "catalogItemId": "29b1d1d1-e291-455b-a461-73ea206c4445", "sku": "string", "displayName": "string", "brand": "string", "productId": "string", "unit": "string", "quantity": 1, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "transcript": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "seq": 0, "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1", "role": "user", "text": "string", "startedAt": "2019-08-24T14:15:22Z", "confidence": 0 } ], "eventCount": 0}Upload a document POST
Upload a document. The API stores it and queues it for chunking and embedding; poll the document for its processing status. **Access:** workspace_admin · API key `documents:write`
List orders GET
Orders in one workspace, newest first, offset-paginated. **Access:** workspace_viewer · API key `orders:read`